nifi-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Tim Zimmerman <iceman...@hotmail.com>
Subject Re: Importing template into 1.2.0
Date Fri, 12 May 2017 04:07:04 GMT
Andy,

  The processor is EvaluateJsonPath. The error message is :

Multiple versions of org.apache.nifi.processors.standard.EvaluateJsonPath exist

When I try to drop a new processor on the canvase I can see there are in fact two version
of EvaluateJsonPath 0.0.1 and 1.2.0. I did not look at all the processors but I see 0.0.1
and 1.2.0 versions for quite a few of the processors.


  I thought I could add the bundle information to the template. But thanks for the suggestion
of moving the flow.xml.gz. I will do that. Probably a lot easier too!


Thanks,

  tim

________________________________
From: Andy LoPresto <alopresto@apache.org>
Sent: Thursday, May 11, 2017 11:52:05 AM
To: users@nifi.apache.org
Subject: Re: Importing template into 1.2.0

Hi Tim.

What processor has multiple versions and which is the desired target? As your 1.2.0 installation
is a clean install, I would actually recommend just exporting the complete flow.xml.gz file
from your existing 1.1.2 instance and placing it in the $NIFI_HOME/conf directory for the
1.2.0 instance.

Bryan Bende also wrote a good article describing the feature and some of the background if
you haven’t seen it yet [1].

[1] http://bryanbende.com/development/2017/05/10/apache-nifi-1-2-0-component-versioning


Andy LoPresto
alopresto@apache.org<mailto:alopresto@apache.org>
alopresto.apache@gmail.com<mailto:alopresto.apache@gmail.com>
PGP Fingerprint: 70EC B3E5 98A6 5A3F D3C4  BACE 3C6E F65B 2F7D EF69

On May 11, 2017, at 4:47 PM, Tim Zimmerman <icemanltd@hotmail.com<mailto:icemanltd@hotmail.com>>
wrote:

First thanks for the 1.2.0 release. There are a few things I have been looking forward to
(wait/notify).

Now, I have a question. I was running 1.1.2 locally and experimenting with a few ideas. After
creating a template and exporting one of those ideas, I unpacked 1.2.0 and started it up.

I am able to import the template fine but when I try to place it on the canvas I get dialog
that there is more than one version of the processor on the path and the template does not
appear.

I understand this is due to the new versioning and I thought maybe if I just hacked in the
<bundle> element I could get this template working but I did that and tried again but
it still does not seem to be working.

How should I be migrating 1.1.2 work into 1.2.0?


Mime
View raw message